# lugins/osg/Light.cpp File Reference

`#include "osg/Light"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Light.cpp:

## Defines

#define | ReadVec4(A, B)
#define | ReadVec3(A, B)
#define | ReadFloat(A, B)

## Functions

bool | Light_readLocalData (Object &obj, Input &fr)
bool | Light_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_LightProxy (new osg::Light,"Light","Object StateAttribute Light",&Light_readLocalData,&Light_writeLocalData)

## Define Documentation

#define ReadFloat | ( | A,
|  | B |  | ) |

Value:

    {  \
        if (fr[0].matchWord(B) && \
            fr[1].getFloat(value)) \
        { \
            light.A(value); \
            fr+=2; \
            iteratorAdvanced = true; \
        } \
    }

#define ReadVec3 | ( | A,
|  | B |  | ) |

Value:

    {  \
        if (fr[0].matchWord(B) && \
            fr[1].getFloat(vec3[0]) && \
            fr[2].getFloat(vec3[1]) && \
            fr[3].getFloat(vec3[2])) \
        { \
            light.A(vec3); \
            fr+=4; \
            iteratorAdvanced = true; \
        } \
    }

#define ReadVec4 | ( | A,
|  | B |  | ) |

Value:

    {  \
        if (fr[0].matchWord(B) && \
            fr[1].getFloat(vec4[0]) && \
            fr[2].getFloat(vec4[1]) && \
            fr[3].getFloat(vec4[2]) && \
            fr[4].getFloat(vec4[3])) \
        { \
            light.A(vec4); \
            fr+=5; \
            iteratorAdvanced = true; \
        } \
    }

## Function Documentation

bool Light_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Light_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_LightProxy(new osg::Light,"Light","Object StateAttribute Light",&Light_readLocalData,&Light_writeLocalData)